## tinycdb 0.75

=== Makefile ===
# $Id: Makefile,v 1.24 2005/08/23 16:22:03 mjt Exp $
# make file for tinycdb package
#
# This file is a part of tinycdb package by Michael Tokarev, mjt@corpit.ru.
# Public domain.

VERSION = 0.75

prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
libdir=$(exec_prefix)/lib
syslibdir=$(libdir)
sysconfdir=/etc
includedir=$(prefix)/include
mandir=$(prefix)/man
DESTDIR=

CC = cc
CFLAGS = -O
CFLAGS_PIC = -fPIC
CFLAGS_SHARED = -shared
CFLAGS_SONAME = -Wl,--soname,
AR = ar
ARFLAGS = rv
RANLIB = ranlib

NSS_CDB = libnss_cdb.so.2
LIBBASE = libcdb
LIB = $(LIBBASE).a
PICLIB = $(LIBBASE)_pic.a
SHAREDLIB = $(LIBBASE).so.1
SOLIB = $(LIBBASE).so
CDB_USELIB = $(LIB)
NSS_USELIB = $(PICLIB)

LIB_SRCS = cdb_init.c cdb_find.c cdb_findnext.c cdb_seq.c cdb_seek.c \
 cdb_unpack.c \
 cdb_make_add.c cdb_make_put.c cdb_make.c cdb_hash.c
NSS_SRCS = nss_cdb.c nss_cdb-passwd.c nss_cdb-group.c nss_cdb-spwd.c

DISTFILES = Makefile cdb.h cdb_int.h $(LIB_SRCS) cdb.c \
 $(NSS_SRCS) nss_cdb.h nss_cdb-Makefile \
 cdb.3 cdb.1 cdb.5 \
 tinycdb.spec tests.sh tests.ok \
 ChangeLog NEWS

all: static
static: staticlib cdb
staticlib: $(LIB)
nss: $(NSS_CDB)
piclib: $(PICLIB)
sharedlib: $(SHAREDLIB)
nss-shared: $(NSS_CDB)-shared
shared: sharedlib cdb-shared

LIB_OBJS = $(LIB_SRCS:.c=.o)
LIB_OBJS_PIC = $(LIB_SRCS:.c=.lo)
NSS_OBJS = $(NSS_SRCS:.c=.lo)

$(LIB): $(LIB_OBJS)
	-rm -f $@
	$(AR) $(ARFLAGS) $@ $(LIB_OBJS)
	-$(RANLIB) $@

$(PICLIB): $(LIB_OBJS_PIC)
	-rm -f $@
	$(AR) $(ARFLAGS) $@ $(LIB_OBJS_PIC)
	-$(RANLIB) $@

$(SHAREDLIB): $(LIB_OBJS_PIC)
	-rm -f $(SOLIB)
	ln -s $@ $(SOLIB)
	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ $(CFLAGS_SONAME)$(SHAREDLIB) $(LIB_OBJS_PIC)

cdb: cdb.o $(CDB_USELIB)
	$(CC) $(CFLAGS) -o $@ cdb.o $(CDB_USELIB)
cdb-shared: cdb.o $(SHAREDLIB)
	$(CC) $(CFLAGS) -o $@ cdb.o $(SHAREDLIB)

$(NSS_CDB): $(NSS_OBJS) $(NSS_USELIB)
	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ $(NSS_OBJS) $(NSS_USELIB)
$(NSS_CDB)-shared: $(NSS_OBJS) $(SHAREDLIB)
	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ $(NSS_OBJS) $(SHAREDLIB)

.SUFFIXES:
.SUFFIXES: .c .o .lo

.c.o:
	$(CC) $(CFLAGS) -c $<
.c.lo:
	$(CC) $(CFLAGS) $(CFLAGS_PIC) -c -o $@ $<

cdb.o: cdb.h
$(LIB_OBJS) $(LIB_OBJS_PIC): cdb_int.h cdb.h
$(NSS_OBJS): nss_cdb.h cdb.h

clean:
	-rm -f *.o *.lo core *~ tests.out
realclean distclean:
	-rm -f *.o *.lo core *~ $(LIBBASE)* $(NSS_CDB)* cdb cdb-shared

test tests check: cdb
	sh ./tests.sh ./cdb > tests.out 2>&1
	diff tests.ok tests.out
	@echo All tests passed

do_install = \
 while [ "$$1" ] ; do \
   if [ .$$4 = .- ]; then f=$$1; else f=$$4; fi; \
   d=$(DESTDIR)$$3 ; echo installing $$d/$$f; \
   [ -d $$d ] || mkdir -p $$d || exit 1 ; \
   cp $$1 $$d/$$f || exit 1; \
   chmod 0$$2 $$d/$$f || exit 1; \
   shift 4; \
 done

install-all: all
	set -- \
	 cdb.h 644 $(includedir) - \
	 cdb.3 644 $(mandir)/man3 - \
	 cdb.1 644 $(mandir)/man1 - \
	 cdb.5 644 $(mandir)/man5 - \
	 cdb 755 $(bindir) - \
	 libcdb.a 644 $(libdir) - \
	 ; \
	$(do_install)
install-nss: nss
	@set -- $(NSS_CDB) 644 $(syslibdir) - \
	        nss_cdb-Makefile 644 $(sysconfdir) cdb-Makefile ; \
	$(do_install)
install-sharedlib: sharedlib
	@set -- $(SHAREDLIB) 644 $(libdir) - ; \
	$(do_install) ; \
	ln -sf $(SHAREDLIB) $(libdir)/$(LIBBASE).so
install-piclib: piclib
	@set -- $(PICLIB) 644 $(libdir) - ; \
	$(do_install)
install: install-all

DNAME = tinycdb-$(VERSION)
dist: $(DNAME).tar.gz
$(DNAME).tar.gz: $(DISTFILES)
	mkdir $(DNAME)
	ln $(DISTFILES) $(DNAME)/
	tar cfz $@ $(DNAME)
	rm -fr $(DNAME)

.PHONY: all clean realclean test tests check dist spec
.PHONY: static staticlib shared sharedlib nss piclib nss-shared
.PHONY: install install-all install-sharedlib install-piclib install-nss
