=== debian/changelog ===
tinycdb (0.75) unstable; urgency=low

  * 0.75 release

  * debian packaging is now back to me.  Thank you Christian for doing
    packaging work for me, it is greatly apprecated.

  * build 4 packages out of the source base:
    - shared library libcdb1
    - development files libcdb-dev
    - utility tinycdb
    - nss module nss-cdb

  * rewrote cdb_make_put(CDB_PUT_REPLACE) to a) actually replace *all*
    duplicates, not just the first one, and b) perform real replace,
    by moving tail of .cdb file.  Also, always add new record to the
    end of the file, not to the place where a duplicate was found.

  * add cdb_make_put(CDB_PUT_REPLACE0) to zerofill all duplicates,
    which is faster than CDB_PUT_REPLACE but less accurate as it
    leaves gaps in the file.

  * ship libcdb_pic.a in the -dev package.

 -- Michael Tokarev <mjt@corpit.ru>  Tue, 23 Aug 2005 20:06:01 +0400

tinycdb (0.74-1) unstable; urgency=low

  * New upstream release.

 -- Christian Kurz <shorty@debian.org>  Wed, 28 Jul 2004 20:12:02 +0200

tinycdb (0.73-1) unstable; urgency=low

  * First Debian release, based on the debian directory that
    Michael Tokarev, the upstream author, had provided in the 
    package itself. So only some minor changes were necessary.

 -- Christian Kurz <shorty@debian.org>  Tue,  5 Nov 2002 10:36:59 +0100

tinycdb (0.72) unstable; urgency=low

  * cleaned up debian packaging and made it actually work
  * no code changes

 -- Michael Tokarev <mjt@corpit.ru>  Sun, 13 Oct 2002 03:00:32 +0400

tinycdb (0.71) unstable; urgency=low

  * rearranged object files to not depend on ranlib on
    systems that requires it (i.e. OpenBSD)
  * use ranlib but mark it's possible error as non-fatal

 -- Michael Tokarev <mjt@corpit.ru>  Mon, 22 Jul 2002 13:35:14 +0400

tinycdb (0.7a) unstable; urgency=low

  * converted into CVS, added two missing #include <stdlib.h> for
    malloc declaration and spec target to the Makefile

 -- Michael Tokarev <mjt@corpit.ru>  Mon, 10 Dec 2001 00:21:17 +0300

tinycdb (0.7) unstable; urgency=low

  * added cdb_seek() and cdb_bread() routines as found
    in freecdb/cdb-0.64

 -- Michael Tokarev <mjt@corpit.ru>  Sun, 14 Oct 2001 19:29:33 +0400

tinycdb (0.6) unstable; urgency=low

  * added another option, CDB_PUT_WARN, to cdb_make_put's
    flags (to allow adding unconditionally but still warn
    about dups), now cdb_make_put seems to be logically
    complete.
  * added and documented -r and -u options for cdb(1)
    command, and made them consistent with -w and -e
    also.
  * reorganized cdb(1) manpage and added changes made to
    cdb command.
  * added version references to manpages (and make them
    autogenerated to simplify maintenance).
  * added cdb(5) manpage describing CDB file format.

 -- Michael Tokarev <mjt@corpit.ru>  Thu, 26 Jul 2001 02:38:08 +0400

tinycdb (0.5) unstable; urgency=low

  * added missing #include <sys/types.h> in cdb_init.c,
    thanks to ppetru@ppetru.net (Petru Paler)
  * removed usage of pread() in cdb_make_find() and friends,
    suggested by Liviu Daia <Liviu.Daia@imar.ro>
  * autogenerate tinycdb.spec file from template and debian/changelog
  * autogenerate cdb.h from cdb.h.in (substituting version)

 -- Michael Tokarev <mjt@corpit.ru>  Wed, 25 Jul 2001 17:16:39 +0400

tinycdb (0.4) unstable; urgency=low

  * added cdb_make_put() routine to conditionnaly add a record
  * split cdb library to more files (finer granularity)
  * added cdb_findinit() and cdb_findnext() routines
  * renamed cdbtool to cdb
  * simplified cdb utility (dropped various format spec, changed options
    parsing) and a manpage
  * added small note and copyright to every file in package
  * added some testsuite (make test)

 -- Michael Tokarev <mjt@corpit.ru>  Fri, 29 Jun 2001 23:39:53 +0400

tinycdb (0.3) unstable; urgency=low

  * Initial Release.

 -- Michael Tokarev <mjt@corpit.ru>  Sun, 27 May 2001 16:38:58 +0400
