=== debian/control ===
Source: tinycdb
Section: utils
Priority: optional
Maintainer: Michael Tokarev <mjt@corpit.ru>
Uploaders: Christian Kurz <shorty@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1
Origin: debian
Bugs: debbugs://bugs.debian.org

Package: tinycdb
Architecture: any
Depends: ${shlibs:Depends}
Description: an utility to manipulate constant databases (cdb)
 tinycdb is a small, fast and reliable utility set and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package contains command-line utility to create, analyze, dump
 and query cdb files.

Package: libcdb1
Architecture: any
Section: lib
Depends: ${shlibs:Depends}
Description: shared library for constant databases (cdb)
 tinycdb is a small, fast and reliable utility set and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package package provides shared library needed  to run programs
 using it.

Package: libcdb-dev
Architecture: any
Section: libdev
Depends: libcdb1 (= ${Source-Version})
Recommends: tinycdb
Description: development files for constant databases (cdb)
 tinycdb is a small, fast and reliable utility set and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package provides development files needed
 to build programs using cdb library.

Package: libnss-cdb
Architecture: any
Section: lib
Depends: ${shlibs:Depends}, tinycdb
Description: cdb-based nss (name service switch) module
 tinycdb is a small, fast and reliable utility set and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package provides a name service switch (nsswitch) module
 to use to index /etc/password files for fast access.
 This module works only for passwd, group and shadow databases,
 not for hosts, networks, services and others.
