=== debian/changelog ===
tinycdb (0.76~bpo.1) sarge-backports; urgency=low

  * rebuild for sarge

 -- Jan Wagner <waja@cyconet.org>  Wed,  6 Dec 2006 12:33:29 +0100

tinycdb (0.76) unstable; urgency=low

  * 0.76 release.
    Closes: #342849, #316253, #360129, #383417.
    Also closes: #299026, #344572.

  * manpage spelling fixes, from Claus Assmann <ca+tinycdb (at) esmtp.org>.

  * little mods to allow compiling tinycdb by C++ compiler,
    from Olly Betts <olly (at) survex.com>.

  * use program_invocation_short_name on GLIBC, (modified) patch
    from Dmitry V. Levin  <ldv (at) altlinux.org>

  * manpage fix (cdb_findnext() prototype),
    from Dmitry V. Levin <ldv (at) altlinux.org>

  * (somewhat silly) GCC-4.x "signedness" warnings fix, modified patch
    from Dmitry V. Levin  <ldv (at) altlinux.org>

  * more signed vs unsigned char* fixes in various places

  * Makefile: always build libnss_cdb.so with libcdb_pic.a, no nss-shared
    target: to avoid extra dependency from /usr/lib/.

  * Makefile: use map files for lib*.so, with explicit list of exported
    symbols.  This, in particular, avoids exporting of libcdb symbols by
    libnss_cdb.so.

  * mark all internal routines as internal_function (defined as
    __attribute__((visibility("hidden"))) for GCC)

  * Makefile: add tests-shared, to use cdb-shared for testing

  * Makefile: allow to specify which binary (shared vs static) to install
    in install target, by using INSTALLPROG variable

  * Makefile: pass -DNSSCDB_DIR=... to compiler when building .lo files,
    to allow setting of system config dir (/etc by default) on command line.
    For nss_cdb module.

  * Makefile: use $(CP) instead of cp, to be able to specify `cp' options
    (CP="cp -p")

  * Makefile: ship debian/ files in `dist' target as well, if not only
    for debian/changelog.

  * Makefile: bumped version to 0.76

  * Use unlink(tmpname) + open(O_CREAT|O_EXCL) instead of
    open(O_CREAT|O_TRUNC) when creating the new CDB file.
    And use O_NOFOLLOW if defined.
    This also works around some (probably) possible symlink attacks.

  * Add -p perms option for cdb utility, to specify mode (permission bits)
    for newly created .cdb file (default is 0666&umask(), -p forces the given
    mode).

  * allow tmpname (cdb -t) to be `-', to mean no temp file gets created.
    Also check if tmpname is the same as database name and don't try to
    rename() if it is.

  * rewrite nss_cdb-Makefile a bit: simplify it, and use more sane
    permission scheme for /etc/shadow

  * bumped Debian Standards-Version to 3.7.2 (no changes necessary).

  * fixed a typo in cdb_seek.c, -- it segfaulted if passed NULL dlenp
    pointer.  Thanks Daiki for the patch.  Closes: #383417

  * use MAP_FAILED to test mmap() return value, instead of hardcoded -1.

  * several minor fixes for debian/* files, thanks to Bernhard R. Link.

  * removed libnss_cdb Debian package, for now

  * libcdb-dev replaces tinycdb<0.76

 -- Michael Tokarev <mjt@corpit.ru>  Sat,  9 Sep 2006 13:55:10 +0400
