=== debian/control ===
Source: tinycdb
Section: utils
Priority: optional
Maintainer: Michael Tokarev <mjt@corpit.ru>
Uploaders: Jan Wagner <waja@cyconet.org>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.7.2

Package: tinycdb
Architecture: any
Depends: ${shlibs:Depends}
Description: an utility to manipulate constant databases (cdb)
 tinycdb is a small, fast and reliable utility and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package contains a command-line utility to create, analyze, dump
 and query cdb files.

Package: libcdb1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: shared library for constant databases (cdb)
 tinycdb is a small, fast and reliable utility and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package package provides a shared library needed to run
 programs using it.

Package: libcdb-dev
Architecture: any
Section: libdevel
Depends: libcdb1 (= ${Source-Version})
Recommends: tinycdb
Replaces: tinycdb (<< 0.75)
Description: development files for constant databases (cdb)
 tinycdb is a small, fast and reliable utility and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package provides development files needed
 to build programs using cdb library.
