## tinycdb 0.76

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: utils
 Priority: optional
 Maintainer: Michael Tokarev <mjt@corpit.ru>
-Uploaders: Jan Wagner <waja@cyconet.org>
 Build-Depends: debhelper (>= 4)
 Standards-Version: 3.7.2
