=== debian/rules ===
--- 
+++ 
@@ -63,8 +63,8 @@
 	dh_installman -ptinycdb cdb.1 cdb.5
 
 # libnss-cdb
-	dh_install -plibnss-cdb cdb-Makefile etc
-	dh_install -plibnss-cdb libnss_cdb.so.2 lib
+#	dh_install -plibnss-cdb cdb-Makefile etc
+#	dh_install -plibnss-cdb libnss_cdb.so.2 lib
 
 binary-indep: build install
