## tinycdb 0.77

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #! /usr/bin/make -rf
-# $Id: Makefile,v 1.27 2006/06/28 15:17:37 mjt Exp $
+# $Id: Makefile,v 1.28 2009-01-31 17:12:21 mjt Exp $
 # make file for tinycdb package
 #
 # This file is a part of tinycdb package by Michael Tokarev, mjt@corpit.ru.
 # Public domain.
 
-VERSION = 0.76
+VERSION = 0.77
 
 prefix=/usr/local
 exec_prefix=$(prefix)
