=== debian/changelog ===
tinycdb (0.77) unstable; urgency=low

  * manpage typo fixes.

  * in win32, close file mapping handle right after MapViewOfFile(),
    instead of doing it in cdb_close().  This eliminates handle leak
    on win32 platform.  And this is how mmap() works on unix, too.
    Thanks to David Boyce for this.

  * also for win32 platform, cdb.c (the utility):
    - open cdb files in binary mode
    - add windowsisms for include files
    Also thanks to David Boyce for the fixes.

  * fixed a bug in _cdb_make_fullwrite() - wrong logic in EINTR
    handling.
    Thanks to Florian Weimer.
    Closes: #511629.

  * install /usr/lib/pkgconfig/libcdb.pc from debian/rules.
    Closes: #446751, #446752.

  * lintian warnings:
    o moved $DH_COMPAT to deban/compat (=4)
    o set Standards-Version: 3.8.0 (no changes needed)
    o fixed "package package" in libcdb1 description (Closes: #442571)
    o s/${Source-Version}/${binary:Version}/

  * released 0.77

 -- Michael Tokarev <mjt@corpit.ru>  Sat, 31 Jan 2009 20:12:02 +0300
