=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Tokarev <mjt@corpit.ru>
 Build-Depends: debhelper (>= 4)
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 
 Package: tinycdb
 Architecture: any
@@ -25,13 +25,13 @@
  library for creating and reading constant databases. The database
  structure is tuned for fast reading.
  .
- This package package provides a shared library needed to run
+ This package provides a shared library needed to run
  programs using it.
 
 Package: libcdb-dev
 Architecture: any
 Section: libdevel
-Depends: libcdb1 (= ${Source-Version})
+Depends: libcdb1 (= ${binary:Version})
 Recommends: tinycdb
 Replaces: tinycdb (<< 0.75)
 Description: development files for constant databases (cdb)
