=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-export DH_COMPAT=4
 
 CFLAGS = -Wall -W -g
 # can't use -Wmissing-prototypes due to nss routines
@@ -55,6 +53,7 @@
 # libcdb-dev
 	dh_install -plibcdb-dev libcdb.a libcdb_pic.a libcdb.so usr/lib
 	dh_install -plibcdb-dev cdb.h usr/include
+	dh_install -plibcdb-dev debian/libcdb.pc usr/lib/pkgconfig
 	dh_installman -plibcdb-dev cdb.3
 #	dh_installdocs -plibcdb-dev TODO
