=== debian/changelog ===
tinycdb (0.78build1) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:57:16 +0000

tinycdb (0.78) unstable; urgency=low

  * new release (0.78), a few minor fixes:
   - fix handling of files >4Gb
   - fix handling of files >2Gb on 32bit platforms (compile with _FILE_OFFSET_BITS=64)
   - fix file size limit test
   - fix compiler warnings (missing #include)
  * make it multiarch-aware (install libs to /usr/lib/$arch)
  * use dpkg-buildflags for CFLAGS/LDFLAGS
  * update Standards-Version to 3.9.3
  * debhelper 7
  * simplify debian/rules quite a bit

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 May 2012 16:33:34 +0400
