## tinycdb 0.78build2

=== debian/changelog ===
tinycdb (0.78build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:25:41 +0200
