## tinycdb 0.78build3

=== debian/changelog ===
tinycdb (0.78build3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:52:23 +0100
