=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tinycdb
 Section: utils
 Priority: optional
-Maintainer: Michael Tokarev <mjt@tls.msk.ru>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper (>= 7)
 Standards-Version: 3.9.3
