## tinycdb 0.78-0maemo0

=== debian/changelog ===
tinycdb (0.78-0maemo0) fremantle; urgency=low

  * Packaged for Maemo fremantle.

 -- Murray Cumming <murrayc@openismus.com>  Thu, 29 Oct 2009 13:25:18 +0100
