## tinycdb 0.81

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #! /usr/bin/make -rf
 # Makefile: make file for tinycdb package
 #
-# This file is a part of tinycdb package by Michael Tokarev, mjt@corpit.ru.
-# Public domain.
+# This file is a part of tinycdb package.
+# Copyright (C) 2001-2023 Michael Tokarev <mjt+cdb@corpit.ru>
+# Tinycdb is licensed under MIT license.
 
-VERSION = 0.78
+VERSION = 0.81
 
 prefix=/usr/local
 exec_prefix=$(prefix)
 bindir=$(exec_prefix)/bin
 libdir=$(exec_prefix)/lib
+pkgconfdir=$(libdir)/pkgconfig
 syslibdir=$(libdir)
 sysconfdir=/etc
 includedir=$(prefix)/include
@@ -18,7 +20,7 @@
 DESTDIR=
 
 CC = cc
-CFLAGS = -O
+CFLAGS = -O2
 CDEFS = -D_FILE_OFFSET_BITS=64
 LD = $(CC)
 LDFLAGS =
@@ -27,8 +29,12 @@
 ARFLAGS = rv
 RANLIB = ranlib
 
-NSS_CDB = libnss_cdb.so.2
-LIBBASE = libcdb
+TAR = tar
+SED = sed
+
+BASE = cdb
+NSS_CDB = libnss_$(BASE).so.2
+LIBBASE = lib$(BASE)
 LIB = $(LIBBASE).a
 PICLIB = $(LIBBASE)_pic.a
 SHAREDLIB = $(LIBBASE).so.1
@@ -48,19 +54,17 @@
 CP = cp
 
 LIB_SRCS = cdb_init.c cdb_find.c cdb_findnext.c cdb_seq.c cdb_seek.c \
- cdb_unpack.c \
+ cdb_pack.c cdb_unpack.c \
  cdb_make_add.c cdb_make_put.c cdb_make.c cdb_hash.c
 NSS_SRCS = nss_cdb.c nss_cdb-passwd.c nss_cdb-group.c nss_cdb-spwd.c
 NSSMAP = nss_cdb.map
 
-DISTFILES = Makefile cdb.h cdb_int.h $(LIB_SRCS) cdb.c \
+DISTFILES = LICENSE Makefile cdb.h cdb_int.h $(LIB_SRCS) cdb.c \
  $(NSS_SRCS) nss_cdb.h nss_cdb-Makefile \
  cdb.3 cdb.1 cdb.5 \
  tinycdb.spec tests.sh tests.ok \
  $(LIBMAP) $(NSSMAP) \
- ChangeLog NEWS
-DEBIANLIST = changelog compat control control.nss copyright libcdb.pc rules
-DEBIANFILES = $(addprefix debian/, $(DEBIANLIST))
+ NEWS
 
 all: static
 static: staticlib cdb
@@ -113,17 +117,27 @@
 $(LIB_OBJS) $(LIB_OBJS_PIC): cdb_int.h cdb.h
 $(NSS_OBJS): nss_cdb.h cdb.h
 
+$(LIBBASE).pc: Makefile
+	{ echo 'libdir=$(libdir)'; \
+	  echo 'includedir=$(includedir)'; \
+	  echo 'Name: ${LIBBASE}'; \
+	  echo 'Description: tinycdb - Constant Data Base library'; \
+	  echo 'Version: $(VERSION)'; \
+	  echo 'Libs: -L$${libdir} -l$(BASE)'; \
+	  echo 'Cflags: -I$${includedir}'; \
+	} >$@
+
 clean:
 	-rm -f *.o *.lo core *~ tests.out tests-shared.ok
-realclean distclean:
-	-rm -f *.o *.lo core *~ $(LIBBASE)[._][aps]* $(NSS_CDB)* cdb cdb-shared
+realclean distclean: clean
+	-rm -f $(LIBBASE)[._][aps]* $(NSS_CDB)* cdb cdb-shared $(LIBBASE).pc
 
 test tests check: cdb
 	sh ./tests.sh ./cdb > tests.out 2>&1
 	diff tests.ok tests.out
 	@echo All tests passed
 test-shared tests-shared check-shared: cdb-shared
-	sed 's/^cdb: /cdb-shared: /' <tests.ok >tests-shared.ok
+	$(SED) 's/^cdb: /cdb-shared: /' <tests.ok >tests-shared.ok
 	LD_LIBRARY_PATH=. sh ./tests.sh ./cdb-shared > tests.out 2>&1
 	diff tests-shared.ok tests.out
 	rm -f tests-shared.ok
@@ -139,37 +153,36 @@
    shift 4; \
  done
 
-install-all: all $(INSTALLPROG)
+install-all: all $(INSTALLPROG) $(LIBBASE).pc
 	set -- \
 	 cdb.h 644 $(includedir) - \
 	 cdb.3 644 $(mandir)/man3 - \
 	 cdb.1 644 $(mandir)/man1 - \
 	 cdb.5 644 $(mandir)/man5 - \
 	 $(INSTALLPROG) 755 $(bindir) cdb \
-	 libcdb.a 644 $(libdir) - \
-	 ; \
-	$(do_install)
+	 $(LIB) 644 $(libdir) - \
+	 $(LIBBASE).pc 644 $(pkgconfdir) - \
+	 ; $(do_install)
 install-nss: nss
-	@set -- $(NSS_CDB) 644 $(syslibdir) - \
-	        nss_cdb-Makefile 644 $(sysconfdir) cdb-Makefile ; \
-	$(do_install)
+	@set -- \
+	  $(NSS_CDB) 644 $(syslibdir) - \
+	  nss_cdb-Makefile 644 $(sysconfdir) cdb-Makefile \
+	  ; $(do_install)
 install-sharedlib: sharedlib
-	@set -- $(SHAREDLIB) 644 $(libdir) - ; \
-	$(do_install) ; \
-	ln -sf $(SHAREDLIB) $(DESTDIR)$(libdir)/$(LIBBASE).so
+	@set -- \
+	  $(SHAREDLIB) 644 $(libdir) - \
+	  ; $(do_install)
+	ln -sf $(SHAREDLIB) $(DESTDIR)$(libdir)/$(SOLIB)
 install-piclib: piclib
 	@set -- $(PICLIB) 644 $(libdir) - ; \
 	$(do_install)
 install: install-all
 
 DNAME = tinycdb-$(VERSION)
-dist: $(DNAME).tar.gz
-$(DNAME).tar.gz: $(DISTFILES) $(DEBIANFILES)
-	mkdir $(DNAME) $(DNAME)/debian
-	ln $(DISTFILES) $(DNAME)/
-	ln $(DEBIANFILES) $(DNAME)/debian/
-	tar cfz $@ $(DNAME)
-	rm -fr $(DNAME)
+dist: ../$(DNAME).tar.gz
+../$(DNAME).tar.gz: $(DISTFILES)
+	rm -f $@
+	$(TAR) cfz $@ --transform='s|^|$(DNAME)/|' $(DISTFILES)
 
 .PHONY: all clean realclean dist spec
 .PHONY: test tests check test-shared tests-shared check-shared
