=== debian/changelog ===
tinycdb (0.81-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk provide ${CC}.
    Closes: #1088376

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 31 Jan 2025 21:17:02 +0300

tinycdb (0.81-1) unstable; urgency=medium

  * new upstream release
  * relicense under MIT license
  * use upstream-generated libcdb.pc (Closes: #1058068)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 25 Dec 2023 23:57:41 +0300

tinycdb (0.80-3) unstable; urgency=medium

  * actually add Replaces/Breaks for cdb.5

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 18 Sep 2023 08:13:24 +0300

tinycdb (0.80-2) unstable; urgency=medium

  * since cdb.5 has been moved from tinycdb to libcdb1 (since this manpage
    is referenced in cdb.3 too), add Replaces/Breaks (Closes: #1052136)
  * install NEWS to tinycdb too

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 18 Sep 2023 08:03:55 +0300

tinycdb (0.80-1) unstable; urgency=medium

  * new upstream minor release
    (fixes build/test SIGXFSZ issues)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 17 Sep 2023 16:58:10 +0300

tinycdb (0.79-1) unstable; urgency=medium

  * new upstream minor release (now without debian/ subdir)
  * acknowledge the bin-NMU for 0.78-0.1. Thank you for doing it!
  * d/rules: convert to dh sequence, use d/*.install files
  * d/control:
    debhelper-compat=13
    Std-Ver: 4.6.2
    libcdb-dev M-A: same
    Rules-Requires-Root: binary-targets
    add Homepage
    fix ${misc:Depends}
  * add d/libcdb1.symbols file
  * add d/libcdb1.lintian-overrides with hardening-no-fortify-functions
  * d/copyright: convert to dep-5 format

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 17 Sep 2023 14:00:22 +0300

tinycdb (0.78-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007646)
    + Drop the unnecessary upstream change introducing DEBIANLIST

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #901325)

 -- Bastian Germann <bage@debian.org>  Tue, 22 Aug 2023 11:01:13 +0200
