=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: tinycdb
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Tokarev <mjt@tls.msk.ru>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.3
+Maintainer: Michael Tokarev <mjt@tls.msk.ru>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
+Rules-Requires-Root: binary-targets
+Homepage: http://www.corpit.ru/mjt/tinycdb.html
 
 Package: tinycdb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: an utility to manipulate constant databases (cdb)
+Description: utility to manipulate constant databases (cdb)
  tinycdb is a small, fast and reliable utility and subroutine
  library for creating and reading constant databases. The database
  structure is tuned for fast reading.
@@ -22,6 +23,9 @@
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+# cdb.5 move tinycdb=>libcdb1 in 0.79
+Replaces: tinycdb (<< 0.79)
+Breaks: tinycdb (<< 0.79)
 Multi-Arch: same
 Description: shared library for constant databases (cdb)
  tinycdb is a small, fast and reliable utility and subroutine
@@ -37,6 +41,7 @@
 Depends: libcdb1 (= ${binary:Version}), ${misc:Depends}
 Recommends: tinycdb
 Replaces: tinycdb (<< 0.75)
+Multi-Arch: same
 Description: development files for constant databases (cdb)
  tinycdb is a small, fast and reliable utility and subroutine
  library for creating and reading constant databases. The database
