=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildtools.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs

build-arch   build-indep   build \
install-arch install-indep install \
binary-arch  binary-indep  binary \
:
	dh $@

override_dh_auto_build:
	dh_auto_build -- prefix=/usr \
	    CC="${CC}" CFLAGS="${CFLAGS}" CDEFS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}" \
	    staticlib cdb sharedlib cdb-shared libcdb.pc # nss

override_dh_auto_install:
# nothing

clean:
	${MAKE} distclean
	dh_clean
